from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSpinField(XInterface, Protocol):
    def addSpinListener(self, l: XSpinListener) -> None: ...
    def removeSpinListener(self, l: XSpinListener) -> None: ...
    def up(self) -> None: ...
    def down(self) -> None: ...
    def first(self) -> None: ...
    def last(self) -> None: ...
    def enableRepeat(self, bRepeat: bool) -> None: ...
